Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRDatasetRun

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  FillDatasetRun, JRBaseDatasetRun, JRDesignDatasetRun, JRFillDatasetRun

    public interface JRDatasetRun

extends JRCloneable

Interface of an sub dataset instantiation.

Version:
  $Id: JRDatasetRun.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRDataset`, `JRElementDataset.getDatasetRun()`

Method Summary
`JRExpression` | `getConnectionExpression()` Returns the DB connection expression.
`java.lang.String` | `getDatasetName()` Returns the sub dataset name.
`JRExpression` | `getDataSourceExpression()` Returns the data source expression.
`JRDatasetParameter[]` | `getParameters()` Returns the list of parameter values.
`JRExpression` | `getParametersMapExpression()` Returns the parameters map expression.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getDatasetName

    java.lang.String getDatasetName()

  Returns the sub dataset name.

  Returns:
    the sub dataset name

### getParametersMapExpression

    JRExpression getParametersMapExpression()

  Returns the parameters map expression.

  The result of this expression is used as the parameters map when instantiating the dataset.

  Returns:
    the parameters map expression

### getParameters

    JRDatasetParameter[] getParameters()

  Returns the list of parameter values.

  Returns:
    the list of parameter values

### getConnectionExpression

    JRExpression getConnectionExpression()

  Returns the DB connection expression.

  The result of this expression is used as the DB connection when instantiating the dataset.

  Returns:
    the DB connection expression

### getDataSourceExpression

    JRExpression getDataSourceExpression()

  Returns the data source expression.

  The result of this expression is used as the data source when instantiating the dataset.

  Returns:
    the data source expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com